/**
 * Main4 部件模型
 *
 * @export
 * @class Main4Model
 */
export default class Main4Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main4Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizsample0001id',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizsample0001name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'f1',
        dataType:'FORMITEM',
      },
      {
        name: 'f2',
        dataType:'FORMITEM',
      },
      {
        name: 'f3',
        dataType:'FORMITEM',
      },
      {
        name: 'f4',
        dataType:'FORMITEM',
      },
      {
        name: 'f5',
        dataType:'FORMITEM',
      },
      {
        name: 'f6',
        prop: 'field01',
        dataType: 'TEXT',
      },
      {
        name: 'f7',
        dataType:'FORMITEM',
      },
      {
        name: 'f8',
        dataType:'FORMITEM',
      },
      {
        name: 'f9',
        dataType:'FORMITEM',
      },
      {
        name: 'f10',
        dataType:'FORMITEM',
      },
      {
        name: 'f11',
        dataType:'FORMITEM',
      },
      {
        name: 'f12',
        dataType:'FORMITEM',
      },
      {
        name: 'f13',
        dataType:'FORMITEM',
      },
      {
        name: 'f14',
        dataType:'FORMITEM',
      },
      {
        name: 'f15',
        dataType:'FORMITEM',
      },
      {
        name: 'f16',
        dataType:'FORMITEM',
      },
      {
        name: 'f17',
        dataType:'FORMITEM',
      },
      {
        name: 'f18',
        dataType:'FORMITEM',
      },
      {
        name: 'f19',
        dataType:'FORMITEM',
      },
      {
        name: 'f20',
        dataType:'FORMITEM',
      },
      {
        name: 'f21',
        dataType:'FORMITEM',
      },
      {
        name: 'f22',
        dataType:'FORMITEM',
      },
      {
        name: 'f23',
        dataType:'FORMITEM',
      },
      {
        name: 'f24',
        dataType:'FORMITEM',
      },
      {
        name: 'f25',
        dataType:'FORMITEM',
      },
      {
        name: 'f26',
        dataType:'FORMITEM',
      },
      {
        name: 'f27',
        dataType:'FORMITEM',
      },
      {
        name: 'f28',
        dataType:'FORMITEM',
      },
      {
        name: 'f29',
        dataType:'FORMITEM',
      },
      {
        name: 'f30',
        dataType:'FORMITEM',
      },
      {
        name: 'f31',
        dataType:'FORMITEM',
      },
      {
        name: 'f32',
        dataType:'FORMITEM',
      },
      {
        name: 'f33',
        dataType:'FORMITEM',
      },
      {
        name: 'f34',
        dataType:'FORMITEM',
      },
      {
        name: 'f35',
        dataType:'FORMITEM',
      },
      {
        name: 'f36',
        dataType:'FORMITEM',
      },
      {
        name: 'f37',
        dataType:'FORMITEM',
      },
      {
        name: 'ibizsample0001id',
        prop: 'ibizsample0001id',
        dataType: 'GUID',
      },
      {
        name: 'ibizsample0001',
        prop: 'ibizsample0001id',
        dataType: 'FONTKEY',
      },
    ]
  }

}